logLevel = "WARN"
defaultEntryPoints = ["http", "https"]

# Connection to docker host system (docker.sock)
[docker]
endpoint = "unix:///var/run/docker.sock"
domain = "digitalcourage.de"
watch = true
# This will hide all docker containers that don't have explicitly  
# set label to "enable"
exposedbydefault = false

# Force HTTPS
[entryPoints]
  [entryPoints.http]
  address = ":80"
    [entryPoints.http.redirect]
    entryPoint = "https"
  [entryPoints.https]
  address = ":443"
    [entryPoints.https.tls]
# Let's encrypt configuration
[acme]
  email = "operating@digitalcourage.de"
  storage="acme.json"
  entryPoint="https"
  OnHostRule = true
    [acme.httpChallenge]
    entryPoint = "http"

